## File formats
Here are some links to documentation and other parsers for various pseudopotential file formats:
- UPF
  - [QuantumESPRESSO website](http://pseudopotentials.quantum-espresso.org/home/unified-pseudopotential-format)
  - [CECAM website](https://esl.cecam.org/data/upf/)
  - [`upf-schema` on GitHub](https://github.com/ltalirz/upf-schema)
  - [`upf_to_json` on GitHub](https://github.com/simonpintarelli/upf_to_json)
  - [QuantumESPRESSO `read_upf_new.f90` on GitHub](https://github.com/QEF/q-e/blob/c67ee8ab788b8d75b762c13bb7180babf10677a2/upflib/read_upf_new.f90)
  - [ABINIT `m_upf2abinit.F90` on GitHub](https://github.com/abinit/abinit/blob/6e17fde483be5e66beaa09debf3f0f6dcf4d98cb/src/64_psp/m_upf2abinit.F90)
  - [Abacus `read_pp_upf201.cpp` on GitHub](https://github.com/abacusmodeling/abacus-develop/blob/caa372a3927f46024f15a397f14f0312d35b1e4f/source/module_cell/read_pp_upf201.cpp#L4)
  - [GPAW `upf.py` on GitLab](https://gitlab.com/gpaw/gpaw/-/blob/master/gpaw/upf.py) 
  - 
- PSP8
  - [ABINIT documentation](https://docs.abinit.org/developers/psp8_info/)
  - [ABINIT `m_psp8.F90` on GitHub](https://github.com/abinit/abinit/blob/6e17fde483be5e66beaa09debf3f0f6dcf4d98cb/src/64_psp/m_psp8.F90)
